Changeset 2661


Ignore:
Timestamp:
Dec 1, 2012 1:38:33 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r2646 r2661  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
     1085  --enable-static-standardlibs
     1086                          whether to link against static standard libraries
     1087                          (libgcc, libgfortran, libstdc++)
    10851088  --disable-pkg-config    disable use of pkg-config (if available)
    10861089  --enable-static[=PKGS]
     
    19221925echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19231926  fi
     1927
     1928
     1929
     1930# check whether to add flags for static linking against standard libraries
     1931# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1932if test "${enable_static_standardlibs+set}" = set; then
     1933  enableval="$enable_static_standardlibs"
     1934  case "$enableval" in
     1935     no | yes | auto ) ;;
     1936     *)
     1937       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1938echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1939   { (exit 1); exit 1; }; } ;;
     1940   esac
     1941   use_static_standardlibs=$enableval
     1942else
     1943  if test $enable_shared = yes ; then
     1944     use_static_standardlibs = no
     1945   else
     1946     use_static_standardlibs = auto
     1947   fi
     1948
     1949
     1950fi;
     1951
     1952
    19241953
    19251954
     
    30483077    CFLAGS="$OPT_CFLAGS"
    30493078  fi
     3079
    30503080else
    30513081  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32163246esac
    32173247
     3248# check whether to add flags for static linking against standard libraries to LDFLAGS
     3249if test x$use_static_standardlibs != xno ; then
     3250  case $build in
     3251    *-mingw*)
     3252      static_standardlib_flag=-static
     3253      ;;
     3254    *)
     3255      static_standardlib_flag=-static-libgcc
     3256      ;;
     3257  esac
     3258  case " $LDFLAGS " in
     3259    *" $static_standardlib_flag "* ) ;;
     3260    *)
     3261    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3262echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3263    coin_save_LDFLAGS="$LDFLAGS"
     3264    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3265    cat >conftest.$ac_ext <<_ACEOF
     3266/* confdefs.h.  */
     3267_ACEOF
     3268cat confdefs.h >>conftest.$ac_ext
     3269cat >>conftest.$ac_ext <<_ACEOF
     3270/* end confdefs.h.  */
     3271
     3272int
     3273main ()
     3274{
     3275int i=0;
     3276  ;
     3277  return 0;
     3278}
     3279_ACEOF
     3280rm -f conftest.$ac_objext conftest$ac_exeext
     3281if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3282  (eval $ac_link) 2>conftest.er1
     3283  ac_status=$?
     3284  grep -v '^ *+' conftest.er1 >conftest.err
     3285  rm -f conftest.er1
     3286  cat conftest.err >&5
     3287  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3288  (exit $ac_status); } &&
     3289         { ac_try='test -z "$ac_c_werror_flag"
     3290                         || test ! -s conftest.err'
     3291  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3292  (eval $ac_try) 2>&5
     3293  ac_status=$?
     3294  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3295  (exit $ac_status); }; } &&
     3296         { ac_try='test -s conftest$ac_exeext'
     3297  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3298  (eval $ac_try) 2>&5
     3299  ac_status=$?
     3300  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3301  (exit $ac_status); }; }; then
     3302  echo "$as_me:$LINENO: result: yes" >&5
     3303echo "${ECHO_T}yes" >&6
     3304else
     3305  echo "$as_me: failed program was:" >&5
     3306sed 's/^/| /' conftest.$ac_ext >&5
     3307
     3308echo "$as_me:$LINENO: result: no" >&5
     3309echo "${ECHO_T}no" >&6
     3310       LDFLAGS="$coin_save_LDFLAGS"
     3311       if test $use_static_standardlibs = yes ; then
     3312         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3313echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3314   { (exit 1); exit 1; }; }
     3315       fi
     3316
     3317fi
     3318rm -f conftest.err conftest.$ac_objext \
     3319      conftest$ac_exeext conftest.$ac_ext
     3320    ;;
     3321  esac
     3322fi
     3323
    32183324ac_ext=c
    32193325ac_cpp='$CPP $CPPFLAGS'
     
    32363342  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32373343 esac
     3344
    32383345
    32393346
     
    34513558
    34523559# Provide some information about the compiler.
    3453 echo "$as_me:3453:" \
     3560echo "$as_me:3560:" \
    34543561     "checking for Fortran 77 compiler version" >&5
    34553562ac_compiler=`set X $ac_compile; echo $2`
     
    38183925    FFLAGS="$OPT_FFLAGS"
    38193926  fi
     3927
    38203928else
    38213929  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39604068esac
    39614069
     4070# check whether to add flag for static linking against standard libraries to LDFLAGS
     4071if test x$use_static_standardlibs != xno ; then
     4072  case $build in
     4073    *-mingw*)
     4074      static_standardlib_flag=-static
     4075      ;;
     4076    *)
     4077      static_standardlib_flag=-static-libgfortran
     4078      ;;
     4079  esac
     4080  case " $LDFLAGS " in
     4081    *" $static_standardlib_flag "* ) ;;
     4082    *)
     4083    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4084echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4085    coin_save_LDFLAGS="$LDFLAGS"
     4086    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4087    cat >conftest.$ac_ext <<_ACEOF
     4088      program main
     4089      integer i
     4090      end
     4091_ACEOF
     4092rm -f conftest.$ac_objext conftest$ac_exeext
     4093if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4094  (eval $ac_link) 2>conftest.er1
     4095  ac_status=$?
     4096  grep -v '^ *+' conftest.er1 >conftest.err
     4097  rm -f conftest.er1
     4098  cat conftest.err >&5
     4099  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4100  (exit $ac_status); } &&
     4101         { ac_try='test -z "$ac_f77_werror_flag"
     4102                         || test ! -s conftest.err'
     4103  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4104  (eval $ac_try) 2>&5
     4105  ac_status=$?
     4106  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4107  (exit $ac_status); }; } &&
     4108         { ac_try='test -s conftest$ac_exeext'
     4109  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4110  (eval $ac_try) 2>&5
     4111  ac_status=$?
     4112  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4113  (exit $ac_status); }; }; then
     4114  echo "$as_me:$LINENO: result: yes" >&5
     4115echo "${ECHO_T}yes" >&6
     4116else
     4117  echo "$as_me: failed program was:" >&5
     4118sed 's/^/| /' conftest.$ac_ext >&5
     4119
     4120echo "$as_me:$LINENO: result: no" >&5
     4121echo "${ECHO_T}no" >&6
     4122       LDFLAGS="$coin_save_LDFLAGS"
     4123       if test $use_static_standardlibs = yes ; then
     4124         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4125echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4126   { (exit 1); exit 1; }; }
     4127       fi
     4128
     4129fi
     4130rm -f conftest.err conftest.$ac_objext \
     4131      conftest$ac_exeext conftest.$ac_ext
     4132    ;;
     4133  esac
     4134fi
     4135
    39624136ac_ext=c
    39634137ac_cpp='$CPP $CPPFLAGS'
     
    40224196ac_save_FFLAGS=$FFLAGS
    40234197FFLAGS="$FFLAGS $ac_verb"
    4024 (eval echo $as_me:4024: \"$ac_link\") >&5
     4198(eval echo $as_me:4198: \"$ac_link\") >&5
    40254199ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40264200echo "$ac_f77_v_output" >&5
     
    41004274ac_save_FFLAGS=$FFLAGS
    41014275FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4102 (eval echo $as_me:4102: \"$ac_link\") >&5
     4276(eval echo $as_me:4276: \"$ac_link\") >&5
    41034277ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41044278echo "$ac_f77_v_output" >&5
     
    67026876*-*-irix6*)
    67036877  # Find out which ABI we are using.
    6704   echo '#line 6704 "configure"' > conftest.$ac_ext
     6878  echo '#line 6878 "configure"' > conftest.$ac_ext
    67056879  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    67066880  (eval $ac_compile) 2>&5
     
    91799353   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91809354   -e 's:$: $lt_compiler_flag:'`
    9181    (eval echo "\"\$as_me:9181: $lt_compile\"" >&5)
     9355   (eval echo "\"\$as_me:9355: $lt_compile\"" >&5)
    91829356   (eval "$lt_compile" 2>conftest.err)
    91839357   ac_status=$?
    91849358   cat conftest.err >&5
    9185    echo "$as_me:9185: \$? = $ac_status" >&5
     9359   echo "$as_me:9359: \$? = $ac_status" >&5
    91869360   if (exit $ac_status) && test -s "$ac_outfile"; then
    91879361     # The compiler can only warn and ignore the option if not recognized
     
    94479621   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94489622   -e 's:$: $lt_compiler_flag:'`
    9449    (eval echo "\"\$as_me:9449: $lt_compile\"" >&5)
     9623   (eval echo "\"\$as_me:9623: $lt_compile\"" >&5)
    94509624   (eval "$lt_compile" 2>conftest.err)
    94519625   ac_status=$?
    94529626   cat conftest.err >&5
    9453    echo "$as_me:9453: \$? = $ac_status" >&5
     9627   echo "$as_me:9627: \$? = $ac_status" >&5
    94549628   if (exit $ac_status) && test -s "$ac_outfile"; then
    94559629     # The compiler can only warn and ignore the option if not recognized
     
    95519725   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95529726   -e 's:$: $lt_compiler_flag:'`
    9553    (eval echo "\"\$as_me:9553: $lt_compile\"" >&5)
     9727   (eval echo "\"\$as_me:9727: $lt_compile\"" >&5)
    95549728   (eval "$lt_compile" 2>out/conftest.err)
    95559729   ac_status=$?
    95569730   cat out/conftest.err >&5
    9557    echo "$as_me:9557: \$? = $ac_status" >&5
     9731   echo "$as_me:9731: \$? = $ac_status" >&5
    95589732   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95599733   then
     
    1196812142  lt_status=$lt_dlunknown
    1196912143  cat > conftest.$ac_ext <<EOF
    11970 #line 11970 "configure"
     12144#line 12144 "configure"
    1197112145#include "confdefs.h"
    1197212146
     
    1206812242  lt_status=$lt_dlunknown
    1206912243  cat > conftest.$ac_ext <<EOF
    12070 #line 12070 "configure"
     12244#line 12244 "configure"
    1207112245#include "confdefs.h"
    1207212246
     
    1442814602   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1442914603   -e 's:$: $lt_compiler_flag:'`
    14430    (eval echo "\"\$as_me:14430: $lt_compile\"" >&5)
     14604   (eval echo "\"\$as_me:14604: $lt_compile\"" >&5)
    1443114605   (eval "$lt_compile" 2>conftest.err)
    1443214606   ac_status=$?
    1443314607   cat conftest.err >&5
    14434    echo "$as_me:14434: \$? = $ac_status" >&5
     14608   echo "$as_me:14608: \$? = $ac_status" >&5
    1443514609   if (exit $ac_status) && test -s "$ac_outfile"; then
    1443614610     # The compiler can only warn and ignore the option if not recognized
     
    1453214706   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1453314707   -e 's:$: $lt_compiler_flag:'`
    14534    (eval echo "\"\$as_me:14534: $lt_compile\"" >&5)
     14708   (eval echo "\"\$as_me:14708: $lt_compile\"" >&5)
    1453514709   (eval "$lt_compile" 2>out/conftest.err)
    1453614710   ac_status=$?
    1453714711   cat out/conftest.err >&5
    14538    echo "$as_me:14538: \$? = $ac_status" >&5
     14712   echo "$as_me:14712: \$? = $ac_status" >&5
    1453914713   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1454014714   then
     
    1610216276   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1610316277   -e 's:$: $lt_compiler_flag:'`
    16104    (eval echo "\"\$as_me:16104: $lt_compile\"" >&5)
     16278   (eval echo "\"\$as_me:16278: $lt_compile\"" >&5)
    1610516279   (eval "$lt_compile" 2>conftest.err)
    1610616280   ac_status=$?
    1610716281   cat conftest.err >&5
    16108    echo "$as_me:16108: \$? = $ac_status" >&5
     16282   echo "$as_me:16282: \$? = $ac_status" >&5
    1610916283   if (exit $ac_status) && test -s "$ac_outfile"; then
    1611016284     # The compiler can only warn and ignore the option if not recognized
     
    1620616380   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1620716381   -e 's:$: $lt_compiler_flag:'`
    16208    (eval echo "\"\$as_me:16208: $lt_compile\"" >&5)
     16382   (eval echo "\"\$as_me:16382: $lt_compile\"" >&5)
    1620916383   (eval "$lt_compile" 2>out/conftest.err)
    1621016384   ac_status=$?
    1621116385   cat out/conftest.err >&5
    16212    echo "$as_me:16212: \$? = $ac_status" >&5
     16386   echo "$as_me:16386: \$? = $ac_status" >&5
    1621316387   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1621416388   then
     
    1841318587   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1841418588   -e 's:$: $lt_compiler_flag:'`
    18415    (eval echo "\"\$as_me:18415: $lt_compile\"" >&5)
     18589   (eval echo "\"\$as_me:18589: $lt_compile\"" >&5)
    1841618590   (eval "$lt_compile" 2>conftest.err)
    1841718591   ac_status=$?
    1841818592   cat conftest.err >&5
    18419    echo "$as_me:18419: \$? = $ac_status" >&5
     18593   echo "$as_me:18593: \$? = $ac_status" >&5
    1842018594   if (exit $ac_status) && test -s "$ac_outfile"; then
    1842118595     # The compiler can only warn and ignore the option if not recognized
     
    1868118855   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1868218856   -e 's:$: $lt_compiler_flag:'`
    18683    (eval echo "\"\$as_me:18683: $lt_compile\"" >&5)
     18857   (eval echo "\"\$as_me:18857: $lt_compile\"" >&5)
    1868418858   (eval "$lt_compile" 2>conftest.err)
    1868518859   ac_status=$?
    1868618860   cat conftest.err >&5
    18687    echo "$as_me:18687: \$? = $ac_status" >&5
     18861   echo "$as_me:18861: \$? = $ac_status" >&5
    1868818862   if (exit $ac_status) && test -s "$ac_outfile"; then
    1868918863     # The compiler can only warn and ignore the option if not recognized
     
    1878518959   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1878618960   -e 's:$: $lt_compiler_flag:'`
    18787    (eval echo "\"\$as_me:18787: $lt_compile\"" >&5)
     18961   (eval echo "\"\$as_me:18961: $lt_compile\"" >&5)
    1878818962   (eval "$lt_compile" 2>out/conftest.err)
    1878918963   ac_status=$?
    1879018964   cat out/conftest.err >&5
    18791    echo "$as_me:18791: \$? = $ac_status" >&5
     18965   echo "$as_me:18965: \$? = $ac_status" >&5
    1879218966   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1879318967   then
Note: See TracChangeset for help on using the changeset viewer.